Subject: bug#10598: 24.0.92; run dired-do-async-shell-command on multiple files individually

From: Juri Linkov <[email-masked]>
Date: Sat, 14 Jul 2012 12:31:37 +0300

> Would it make sense to provide such a command for everyone? If
> dired-async-each is not even intended to be customizable, I cannot
> think of too many other options to use this variable in a meaningful
> way. Anyway, in real life I expect that according to Murphy's Law
> whatever customization a user chooses for this variable, next time
> he or she needs to run dired-do-async-shell-command, the customized
> value will be the wrong one.

A good UI to select the desired behavior before the command invocation
is to use a prefix argument.  A comment in `dired-shell-stuff-it' says:

  ;; Might be redefined for smarter things and could then use RAW-ARG
  ;; (coming from interactive P and currently ignored) to decide what to do.
  ;; Smart would be a way to access basename or extension of file names.

I don't know how it was intended to be implemented a smart way, but
maybe the same could be used to specify how to run dired async commands?